-- Init Video and Sound subsystems
Video.init()
Sound.init()
oldpad = SCE_CTRL_CROSS

-- Disabling screen related timers
System.disableTimer(AUTO_SUSPEND_TIMER)
System.disableTimer(SCREEN_OFF_TIMER)
System.disableTimer(SCREEN_DIMMING_TIMER)
Controls.lockHomeButton()

-- Starting video playback
Video.open("app0:/output.pshv", NO_LOOP)

-- Main loop
while true do

	-- Initializing drawing phase
	Graphics.initBlend()
	Screen.clear()
	
	-- Getting current frame
	frame = Video.getOutput()
	
	-- Drawing frame on screen
	if frame ~= 0 then
		Graphics.drawImage(0, 0, frame)
	end
	
	if not Video.isPlaying() then
		Graphics.debugPrint(0,0,"PAUSED",Color.new(255,255,255))
	end
	
	-- Terminating drawing phase
	Graphics.termBlend()
	Screen.flip()
	
	-- Reading input
	pad = Controls.read()
	if Controls.check(pad, SCE_CTRL_CROSS) and not Controls.check(oldpad, SCE_CTRL_CROSS) then
		if Video.isPlaying() then
			Video.pause()
		else
			Video.resume()
		end
	elseif Controls.check(pad, SCE_CTRL_SQUARE) and not Controls.check(oldpad, SCE_CTRL_SQUARE) then
		Video.close()
		Video.open("app0:/output.pshv", NO_LOOP)
	elseif Controls.check(pad, SCE_CTRL_START) and not Controls.check(oldpad, SCE_CTRL_START) then
		Video.close()
		Video.term()
		System.enableTimer(AUTO_SUSPEND_TIMER)
		System.enableTimer(SCREEN_OFF_TIMER)
		System.enableTimer(SCREEN_DIMMING_TIMER)
		Controls.unlockHomeButton()
		System.exit()
	end
	oldpad = pad
	
end