@echo vid2vpk
@echo -----------------------
@set /p input= "Insert input filename: "
@set /p chn= "Insert audiochannels number: "
@set /p smp= "Insert samplerate (Default: 44100): "
@set /p vb= "Insert video bitrate in MB/s (Default: 2): "
@set /p bname= "Insert bubble name: "
@set /p tid= "Insert title ID (9 caps characters or numbers, eg. ABCD01234): "
@set /p icon= "Insert icon filename (Must be PNG 128x128): "
@set /p startup= "Insert startup image filename (Must be PNG 280x158): "
@set /p bg= "Insert background image filename (Must be PNG 840x500): "
@echo Starting BSF stream extraction through ffmpeg, please wait...
@ffmpeg -i %input% -r 30000/1001 -vf scale=960:544 -b:v %vb%M -maxrate %vb%M -bufsize 2M -c:v libx264 -x264opts "aud=1" -crf 18 -profile:v baseline -g 15 -pix_fmt yuv420p temp\baseline.264
@echo Starting audio extraction through ffmpeg, please wait...
@ffmpeg -i %input% -acodec: libvorbis -ac %chn% -ar %smp% -vn temp\audiotrack.ogg
@echo Starting video encoding, please wait...
@pshv_encoder 29.970
@move output.pshv build/output.pshv
@echo Processing bubbles images...
@pngquant %icon% -o build\sce_sys\icon0.png
@pngquant %startup% -o build\sce_sys\livearea\contents\startup.png
@pngquant %bg% -o build\sce_sys\livearea\contents\bg.png
@echo Creating param.sfo...
@vita-mksfoex -s TITLE_ID=%tid% "%bname%" build\sce_sys\param.sfo
@echo Creating .vpk file...
@7z a -tzip "%bname%.vpk" -r .\build\* .\build\eboot.bin .\build\index.lua .\build\output.pshv
@echo Deleting temp files...
@del /q ".\temp\*.*"
@del /q "build\output.pshv"
@del /q "build\sce_sys\icon0.png"
@del /q "build\sce_sys\livearea\contents\startup.png"
@del /q "build\sce_sys\livearea\contents\bg.png"
@echo Video converted successfully!
@set /p dummy= "Press ENTER to exit"